Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001165TestLinkTest Specificationpublic2007-11-06 19:152008-11-07 19:46
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.0 final 
Fixed in Version1.8 Beta 1 
Summary0001165: Test Case specification - Possibility to apply default text for summary,steps, expected results
DescriptionSeems useful to have possibility, when creating a test case to
add into summary, steps and expected_results field, some sort of
default or template text
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0000006closedmhavlat [SF 1241559 ] Testcase templates 

-  Notes
(0002567)
fman (administrator)
2007-11-06 20:42

Feature requested by kmielke,(Pironet NDH AG, Cologne, Germany),
discussed on forum
(0002570)
fman (administrator)
2007-11-06 23:11

Here documentation, present on config.inc.php
=============================================
// Important
// object members has SAME NAME that FCK editor objects.
// the logic present on tcEdit.php is dependent of this rule.
//
// summary
// steps
// expected_results
//
// every member contains an object with following members:
// type
// value
//
// Possible values for type member:
// string: value of value member is assigned to FCK object
// string_id: value member is used in a lang_get() call, and return value
// is assigned to FCK object.
// Configure string_id on custom_strings.txt
//
// file: value member is used as file name.
// file is readed and it's contains assigned to FCK object
//
// any other value for type, results on '' assigned to FCK object
//
//
$g_testcase_template->summary->type='none';
$g_testcase_template->summary->value='';


$g_testcase_template->steps->type='none';
$g_testcase_template->steps->value='';

$g_testcase_template->expected_results->type='none';
$g_testcase_template->expected_results->value='';
=====================================================

- Issue History
Date Modified Username Field Change
2007-11-06 19:15 fman New Issue
2007-11-06 19:15 fman Status new => assigned
2007-11-06 19:15 fman Assigned To => fman
2007-11-06 20:42 fman Note Added: 0002567
2007-11-06 23:11 fman Note Added: 0002570
2007-11-06 23:12 fman Status assigned => resolved
2007-11-06 23:12 fman Fixed in Version => next development version (1.8 Beta1)
2007-11-06 23:12 fman Resolution open => fixed
2007-11-09 02:18 fman Relationship added related to 0000006
2008-06-03 16:49 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:46 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker